#ifndef ANIMATION2D_INCLUDED
#define ANIMATION2D_INCLUDED

#include "Material.h"

class Animation2D {
	int curFrame;
	int numFrames;
	float spf;
	float curtime;
	float width,height,frmwidth,frmheight;
	unsigned Texture;
	float strtX, endX, strtY, endY;
	int numX, numY;

public:
	Animation2D(const char* file, float w, float h, float fw, float fh, int nx, int ny, float fps)
	:curFrame(0), numFrames(nx*ny), spf(1.0f/fps), curtime(0), width(w), height(h), frmwidth(fw), frmheight(fh),
	numX(nx), numY(ny) {
		Texture=MaterialManager::LoadTexture(file, 0);
	}

	void Update(float dtime);
	int Render();
};

#endif
