#ifndef OCTREE_INCLUDED
#define OCTREE_INCLUDED

#include "VectorX.h"

struct OctNode {
	unsigned char x,y,z;
	unsigned char lvl;
};

class Octree {
public:
	OctNode* Data;
	unsigned firstLeaf;
	unsigned numNodes;
	unsigned size;

	Vector4 GetNodeData(OctNode& n) {
		float nodeSize=size>>n.lvl;
		return Vector4(n.x*nodeSize, n.y*nodeSize, n.z*nodeSize, nodeSize);
	}
};

#endif